DROP TABLE response;
DROP TABLE cache_image;

-- the response table has entries for the responses in association with requests 
CREATE TABLE response (
    identifier   VARCHAR(255) NOT NULL, -- the request identifier 
    security_key VARCHAR(255) NOT NULL, -- the request security key 
    response_object     IMAGE NOT NULL, -- the response object in binary form 
    time_stamp       DATETIME NOT NULL, -- the time at which the response is created 
    life_time          BIGINT NOT NULL  -- the intended life time of the response 
);

-- the cache_image table has entries for each cache entry 
CREATE TABLE cache_image ( 
    identifier   VARCHAR(255) NOT NULL, -- the request identifier 
    last_activity    DATETIME NOT NULL, -- the last activity of any request with the identifier 
    in_storage            BIT NOT NULL  -- whether at least one response exists for the request 
);
