/*
 * ResponseAvailable.cs
 *
 * Copyright (c) 2004, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Util.Idempotency
{
    /// <summary>
    /// Delegate used for asychronous notifications of request responses becoming available.
    /// </summary>
    /// <remarks>
    /// Method used as this callback should not throw any exceptions.
    /// </remarks>
    /// <param name="request">The request that has been fulfilled.</param>
    /// <param name="response">The newly stored response for the given request.</param>
    /// <author>WishingBone</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    public delegate void ResponseAvailable(Request request, Response response);
}
