/*
 * CacheDecision.cs
 *
 * Copyright (c) 2004, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Util.Idempotency.Strategy
{
    /// <summary>
    /// Enumeration of the 3 possible caching decisions which may be used when filtering requests
    /// using the <see cref="TypeMappingCacheStrategy"/>.
    /// </summary>
    /// <author>WishingBone</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    public enum CacheDecision 
    {
        /// <summary>
        /// The request should be accepted (allowed to be cached.)
        /// </summary>
        Accept,

        /// <summary>
        /// The request should not be accepted (it should never be cached.)
        /// </summary>
        Deny,

        /// <summary>
        /// The default <see cref="CacheDecision"/> should be used instead of this specific value.
        /// </summary>
        /// <remarks>
        /// This value is not valid as the default decision (for obvious reasons.)
        /// </remarks>
        Default
    }
}




