/*
 * TestHelper.cs
 *
 * Copyright (c) 2004, TopCoder, Inc. All rights reserved.
 */
using System;
using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Util.Idempotency
{
    /// <summary>
    /// Summary description for TestHelper.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    public class TestHelper
    {
        /// <summary>
        /// Prive constructor prevents instantiation.
        /// </summary>
        private TestHelper()
        {
        }

        /// <summary>
        /// Gets a ConfigManager reference, but sets the SystemWideSingleton property to false if it has not
        /// been set yet. If this accessor is used throughout the tests, we can ensure that the system-wide
        /// singleton nonsense will not be used for our testing.
        /// </summary>
        public static ConfigManager Config
        {
            get
            {
                if (ConfigManager.SystemWideSingleton)
                {
                    ConfigManager.SystemWideSingleton = false;
                }

                return ConfigManager.GetInstance();
            }
        }
    }
}
